"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SchemaProperty = (function () {
    function SchemaProperty(type, title, additionalProps) {
        if (additionalProps === void 0) { additionalProps = {}; }
        this.type = type;
        this.title = title;
        for (var key in additionalProps) {
            if (additionalProps.hasOwnProperty(key)) {
                this[key] = additionalProps[key];
            }
        }
    }
    return SchemaProperty;
}());
exports.SchemaProperty = SchemaProperty;
//# sourceMappingURL=schema-property.js.map