/// <reference types="react" />
import { Skin } from "./component-renderer";
import { Type } from "./schema-property";
export declare class ViewSkin implements Skin {
    private renderBooleanForView;
    private renderNonBooleanForView;
    boolean: (childProps: {}) => JSX.Element;
    string: (childProps: {}) => JSX.Element;
    number: (childProps: {}) => JSX.Element;
    array: (childProps: {}) => JSX.Element;
    object: (childProps: {}) => JSX.Element;
}
export declare class EditSkin implements Skin {
    onChangeByType(type: Type, onChange: any): any;
    constructor();
    private renderAnyTypeForEdit;
    private renderBooleanTypeForEdit;
    boolean: (childProps: {}) => JSX.Element;
    string: (childProps: {}) => JSX.Element;
    number: (childProps: {}) => JSX.Element;
    array: (childProps: {}) => JSX.Element;
    object: (childProps: {}) => JSX.Element;
}
