"use strict";
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
function renderInnerComp(value, renderer, childProps) {
    var typeString = ("" + typeof value);
    childProps = Object.assign(childProps, { value: value });
    if (value == null) {
        typeString = 'null';
    }
    else if (Array.isArray(value)) {
        typeString = 'array';
    }
    return renderer[typeString](__assign({}, childProps));
}
exports.renderInnerComp = renderInnerComp;
exports.getNonLocalChildProps = function (childProps) {
    var repo = childProps.repo, schemaId = childProps.schemaId, entryKey = childProps.entryKey, valid = childProps.valid, displayMode = childProps.displayMode, rest = __rest(childProps, ["repo", "schemaId", "entryKey", "valid", "displayMode"]);
    return rest;
};
//# sourceMappingURL=component-renderer.js.map