export declare type Type = "string" | "number" | "boolean" | "array" | "object";
export declare class SchemaProperty {
    type: Type;
    title: string | undefined;
    [key: string]: any;
    properties?: {
        [key: string]: SchemaProperty;
    };
    constructor(type: Type, title?: string | undefined, additionalProps?: any);
}
