
export type Type ="string"|"number"|"boolean"|"array"|"object";//|"null";

export class SchemaProperty {
    [key:string]:any;
    properties?:{[key:string]:SchemaProperty};
    constructor(public type: Type,public title?: string, additionalProps: any = {}){
        for (let key in additionalProps){
            if (additionalProps.hasOwnProperty(key)){
                this[key] = additionalProps[key];
            }
        }
    }
}

